<?xml version='1.0' encoding='UTF-8'?>
<tables>
	<!-- auditlog table -->
	<table>
		<name>audit_log</name>
		<column>
			<name>id</name>
			<type>integer</type>
			<options>
				<unsigned>true</unsigned>
				<autoincrement>true</autoincrement>
			</options>
		</column>
		<column>
			<name>action</name>
			<type>integer</type>
			<options>
				<notnull>true</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>userid</name>
			<type>integer</type>
			<options>
				<notnull>true</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>description</name>
			<type>string</type>
			<options>
				<default>empty</default>
				<notnull>false</notnull>
				<length>2048</length>
			</options>
		</column>
		<column>
			<name>params</name>
			<type>string</type>
			<options>
				<default>empty</default>
				<notnull>false</notnull>
				<length>2048</length>
				<customSchemaOptions>
					<collation>utf8mb4_bin</collation>
				</customSchemaOptions>
			</options>
		</column>
		<column>
			<name>remote</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>timeat</name>
			<type>datetime</type>
			<options>
				<notnull>true</notnull>
			</options>
		</column>
		
		<keys>
			<primary>id</primary>
			<index>action</index>
			<index>userid</index>
			<index>remote</index>
			<index>timeat</index>
		</keys>
		<init>
		SQL:<![CDATA[
		
		]]>
		</init>
	</table>
</tables>
